Package twisted :: Package application :: Module app :: Class ServerOptions

[frames | no frames]

## Class ServerOptions

    dict --+
           |
     Options --+
               |
              ServerOptions

Known Subclasses:
  `ServerOptions`, `ServerOptions`

Method Summary
| ``opt_spew`(self)` Print an insanely verbose log of everything that happens.
| ``parseOptions`(self, options)` The guts of the command-line parser.
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['savestats', None, 'save the Stats object r...`
`list` | `optParameters` = `[['logfile', 'l', None, 'log to a specif...`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_spew(self)

Print an insanely verbose log of everything that happens. Useful when debugging freezes or locks in complex code.

### parseOptions(self, options=None)

The guts of the command-line parser.

  Overrides:
    `twisted.python.usage.Options.parseOptions` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['savestats',
          None,
          'save the Stats object rather than the text output of the profiler.'\
        ],
         ['debug',
          'b',
          'run the application in the Python Debugger (implies nodaemon), send\
        ing SIGUSR2 will drop into debugger'],
        ...

### optParameters

  Type:
    `list`
  Value:

        [['logfile', 'l', None, 'log to a specified file, - for stdout'],
         ['profile',
          'p',
          None,
          'Run in profile mode, dumping results to specified file'],
         ['file', 'f', 'twistd.tap', 'read the given .tap file'],
         ['python', 'y', None, 'read an application from within a Python file'\
        ],
        ...

Generated by Epydoc 2.0 on Sat May 15 20:07:55 2004 | http://epydoc.sf.net